---
title: Sign up for an Amplitude account
description: Sign up for an Amplitude account. The response either provides credentials for the new account or starts an OAuth flow to complete signup.
product: general
lang: en
last_updated: 2026-10-05
token_estimate: 1715
---
# Sign up for an Amplitude account

> For AI agents: a documentation index is available at [/docs/llms.txt](/docs/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## Sign up for an Amplitude account

**POST** `/v1/auth/signup`

Full URL: `https://developer-api.amplitude.com/v1/auth/signup`

**Servers:**
- Production (US): `https://developer-api.amplitude.com/v1/auth/signup`
- Production (EU): `https://developer-api.eu.amplitude.com/v1/auth/signup`

Sign up for an Amplitude account

Sign up for an Amplitude account. The response either provides credentials for the new account or starts an OAuth flow to complete signup.

## Body (application/json)

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| email | string | Yes | — | Email address of the user signing up for the Amplitude account. Constraints: format: email |
| full_name | string | No | — | Full name of the user signing up for the Amplitude account. Constraints: min length: 1 |
| scope | string | No | — | Space-delimited OAuth scopes to request. Constraints: min length: 1 |
| terms_acceptance | object | No | — | — |
| terms_acceptance.terms_of_service | object | No | — | — |
| terms_acceptance.terms_of_service.url | string | Yes | — | Constraints: format: uri |
| terms_acceptance.terms_of_service.accepted | boolean | Yes | — | — |
| terms_acceptance.privacy_policy | object | No | — | — |
| terms_acceptance.privacy_policy.url | string | Yes | — | Constraints: format: uri |
| terms_acceptance.privacy_policy.accepted | boolean | Yes | — | — |

## Response (application/json)

**200** — Signup result with credentials, an OAuth flow, or additional signup information.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| type | string | Yes | — | — |
| credentials | object | No | — | — |
| credentials.access_token | string | Yes | — | — |
| credentials.token_type | string | Yes | — | — |
| credentials.expires_in | integer | Yes | — | — |
| credentials.refresh_token | string | No | — | — |
| credentials.scope | string | No | — | — |
| credentials.id_token | string | No | — | — |
| requires_auth | object | No | — | — |
| requires_auth.type | string | Yes | — | — |
| requires_auth.device_authorization | object | Yes | — | — |
| requires_auth.device_authorization.device_code | string | Yes | — | — |
| requires_auth.device_authorization.user_code | string | Yes | — | — |
| requires_auth.device_authorization.verification_uri | string | Yes | — | — |
| requires_auth.device_authorization.verification_uri_complete | string | No | — | — |
| requires_auth.device_authorization.expires_in | integer | Yes | — | — |
| requires_auth.device_authorization.interval | integer | No | — | — |
| needs_information | object | No | — | — |
| needs_information.schema | object | Yes | — | — |

```json
{
  "type": "credentials",
  "credentials": {
    "access_token": "string",
    "token_type": "string",
    "expires_in": 0,
    "refresh_token": "string",
    "scope": "string",
    "id_token": "string"
  }
}
```

**400** — Invalid signup request.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| type | string | Yes | — | — |
| error | object | Yes | — | — |
| error.code | string | Yes | — | — |
| error.message | string | Yes | — | — |

```json
{
  "type": "error",
  "error": {
    "code": "string",
    "message": "string"
  }
}
```

**429**

**500** — Signup could not be completed due to a server error.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| type | string | Yes | — | — |
| error | object | Yes | — | — |
| error.code | string | Yes | — | — |
| error.message | string | Yes | — | — |

```json
{
  "type": "error",
  "error": {
    "code": "string",
    "message": "string"
  }
}
```

**502** — Signup upstream service error.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| type | string | Yes | — | — |
| error | object | Yes | — | — |
| error.code | string | Yes | — | — |
| error.message | string | Yes | — | — |

```json
{
  "type": "error",
  "error": {
    "code": "string",
    "message": "string"
  }
}
```

**503** — Signup authentication service is temporarily unavailable.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| type | string | Yes | — | — |
| error | object | Yes | — | — |
| error.code | string | Yes | — | — |
| error.message | string | Yes | — | — |

```json
{
  "type": "error",
  "error": {
    "code": "string",
    "message": "string"
  }
}
```

## Code samples

### cURL

```bash
curl -X POST "https://developer-api.amplitude.com/v1/auth/signup" \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.post(
    "https://developer-api.amplitude.com/v1/auth/signup",
    headers={
        "Content-Type": "application/json",
        "Authorization": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://developer-api.amplitude.com/v1/auth/signup", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://developer-api.amplitude.com/v1/auth/signup");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "Authorization: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("POST", "https://developer-api.amplitude.com/v1/auth/signup", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://developer-api.amplitude.com/v1/auth/signup"))
      .method("POST", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("Authorization", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://developer-api.amplitude.com/v1/auth/signup")
request = Net::HTTP::Post.new(uri)
request["Content-Type"] = "application/json"
request["Authorization"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

